(* uiKit.ml     UiKit functions
 *
 * Copyright (c) 2016 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

external rectFill : Cocoa.rect -> unit = "UIKit_RectFill"

type color = float * float * float * float

external set : color -> unit =
    "UIKit_set"
external setFill : color -> unit =
    "UIKit_setFill"
external setStroke : color -> unit =
    "UIKit_setStroke"

type string_attr = SAfont of UiFont.t | SAcolor of color

external _string_sizeWithAttributes_ :
        string -> string_attr list -> Cocoa.size =
    "UIKit_string_sizeWithAttributes_"

external _string_drawAtPoint_withAttributes_ :
        string -> Cocoa.point -> string_attr list -> unit =
    "UIKit_string_drawAtPoint_withAttributes_"

let string'sizeWithAttributes' s attrs =
    _string_sizeWithAttributes_ s attrs

let string'drawAtPoint'withAttributes' s p attrs =
    _string_drawAtPoint_withAttributes_ s p attrs
