(* uiKit.mli     UiKit functions
 *
 * Copyright (c) 2016 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

val rectFill : Cocoa.rect -> unit

(* In Cocoa this functionality is in UIColor, but here colors are more
 * simply handled as tuples. They're small and immutable. Note that
 * these are HSV colors.
 *)
type color = float * float * float * float    (* h, s, v, a *)

val set : color -> unit
val setFill : color -> unit
val setStroke : color -> unit

(* In Cocoa this functionality is in NSString, but again there are
 * some advantages to using a lightweight type for strings.
 *)
type string_attr = SAfont of UiFont.t | SAcolor of color

val string'sizeWithAttributes' : string -> string_attr list -> Cocoa.size
val string'drawAtPoint'withAttributes' : string -> Cocoa.point ->
                                    string_attr list -> unit
